package com.ruoyi.ems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ems.mapper.AreaBuildingZoningMapper;
import com.ruoyi.ems.domain.AreaBuildingZoning;
import com.ruoyi.ems.service.IAreaBuildingZoningService;

/**
 * 建筑区域划分Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-09
 */
@Service
public class AreaBuildingZoningServiceImpl implements IAreaBuildingZoningService
{
    @Autowired
    private AreaBuildingZoningMapper areaBuildingZoningMapper;

    /**
     * 查询建筑区域划分
     * 
     * @param id 建筑区域划分主键
     * @return 建筑区域划分
     */
    @Override
    public AreaBuildingZoning selectAreaBuildingZoningById(Long id)
    {
        return areaBuildingZoningMapper.selectAreaBuildingZoningById(id);
    }

    /**
     * 查询建筑区域划分
     *
     * @param code 建筑区域划分主键
     * @return 建筑区域划分
     */
    @Override
    public AreaBuildingZoning selectAreaBuildingZoningByCode(String code) {
        return areaBuildingZoningMapper.selectAreaBuildingZoningByCode(code);
    }

    /**
     * 查询建筑区域划分列表
     * 
     * @param areaBuildingZoning 建筑区域划分
     * @return 建筑区域划分
     */
    @Override
    public List<AreaBuildingZoning> selectAreaBuildingZoningList(AreaBuildingZoning areaBuildingZoning)
    {
        return areaBuildingZoningMapper.selectAreaBuildingZoningList(areaBuildingZoning);
    }

    /**
     * 新增建筑区域划分
     * 
     * @param areaBuildingZoning 建筑区域划分
     * @return 结果
     */
    @Override
    public int insertAreaBuildingZoning(AreaBuildingZoning areaBuildingZoning)
    {
        return areaBuildingZoningMapper.insertAreaBuildingZoning(areaBuildingZoning);
    }

    /**
     * 修改建筑区域划分
     * 
     * @param areaBuildingZoning 建筑区域划分
     * @return 结果
     */
    @Override
    public int updateAreaBuildingZoning(AreaBuildingZoning areaBuildingZoning)
    {
        return areaBuildingZoningMapper.updateAreaBuildingZoning(areaBuildingZoning);
    }

    /**
     * 批量删除建筑区域划分
     * 
     * @param ids 需要删除的建筑区域划分主键
     * @return 结果
     */
    @Override
    public int deleteAreaBuildingZoningByIds(Long[] ids)
    {
        return areaBuildingZoningMapper.deleteAreaBuildingZoningByIds(ids);
    }

    /**
     * 删除建筑区域划分信息
     * 
     * @param id 建筑区域划分主键
     * @return 结果
     */
    @Override
    public int deleteAreaBuildingZoningById(Long id)
    {
        return areaBuildingZoningMapper.deleteAreaBuildingZoningById(id);
    }
}
